libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_desc_logical_channel Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the logical channel number descriptor. More...

`#include <desc_logical_channel.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
struct dvb_desc_logical_channel_number * | lcn

## Detailed Description

Structure containing the logical channel number descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  lcn | pointer to struct dvb_desc_logical_channel_number

Definition at line 78 of file desc_logical_channel.h.

## Field Documentation

## ◆ lcn

struct dvb_desc_logical_channel_number* dvb_desc_logical_channel::lcn

Definition at line 83 of file desc_logical_channel.h.

## ◆ length

uint8_t dvb_desc_logical_channel::length

Definition at line 80 of file desc_logical_channel.h.

## ◆ next

struct dvb_desc* dvb_desc_logical_channel::next

Definition at line 81 of file desc_logical_channel.h.

## ◆ type

uint8_t dvb_desc_logical_channel::type

Definition at line 79 of file desc_logical_channel.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_logical_channel.h